[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: lilypond-book is not flavor independent

From: Hans Aberg
Subject: Re: lilypond-book is not flavor independent
Date: Sat, 28 Mar 2009 15:44:43 +0100

On 28 Mar 2009, at 15:14, Graham Percival wrote:

I found page for Mac OS X, though somewhat dated (2005), which actually
 #!/usr/bin/env python

Also, MacPorts has Python, on my system (Mac OS X 10.5.6 PPC G4):
 $ which python

 $ /opt/local/bin/python --version
 Python 2.5.4

So users on Mac OS X 10.4 might install MacPorts and its Python, though I
do not know which version it has on Tiger.

That won't help, because /usr/bin/python is still 2.3.5.  Hence
the whole discussion about using /usr/bin/env, which we can't do
without a patch to GUB.

One must use '#!/usr/bin/env python', of course, as the Apple developer page suggests.

If GUB (same as GRUB, right?) stamps '/usr/bin/python' for you, then it might be tough to get around that. Hmm.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]